[solved]Bench update error OR?

erpnext version: 12.6.0
frappe version: 12.4.1
When I do a bench update, I get the following…Is this errors OR just info?

bench update
remote: Enumerating objects: 554, done.
remote: Counting objects: 100% (554/554), done.
remote: Compressing objects: 100% (75/75), done.
remote: Total 750 (delta 505), reused 508 (delta 479), pack-reused 196
Receiving objects: 100% (750/750), 166.70 KiB | 0 bytes/s, done.
Resolving deltas: 100% (529/529), completed with 203 local objects.
From https://github.com/frappe/frappe
0f0d3eb…01111dc version-12 -> upstream/version-12
aef809d…be720b9 develop -> upstream/develop
0f0d3eb…01111dc v12-pre-release -> upstream/v12-pre-release
14d2cec…cc39066 version-11-hotfix -> upstream/version-11-hotfix
f8d2534…f011f6a version-12-hotfix -> upstream/version-12-hotfix

  • [new tag] v12.5.0 -> v12.5.0
    Backing up sites…
    Traceback (most recent call last):
    File “/usr/lib64/python3.6/runpy.py”, line 193, in _run_module_as_main
    main”, mod_spec)
    File “/usr/lib64/python3.6/runpy.py”, line 85, in _run_code
    exec(code, run_globals)
    File “/home/erp/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 97, in
    main()
    File “/home/erp/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 18, in main
    click.Group(commands=commands)(prog_name=‘bench’)
    File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 764, in call
    return self.main(*args, **kwargs)
    File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 717, in main
    rv = self.invoke(ctx)
    File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 1137, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
    File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 1137, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
    File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 956, in invoke
    return ctx.invoke(self.callback, **ctx.params)
    File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 555, in invoke
    return callback(*args, **kwargs)
    File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/click/decorators.py”, line 17, in new_func
    return f(get_current_context(), *args, **kwargs)
    File “/home/erp/frappe-bench/apps/frappe/frappe/commands/init.py”, line 25, in _func
    ret = f(frappe.dict(ctx.obj), *args, **kwargs)
    File “/home/erp/frappe-bench/apps/frappe/frappe/commands/site.py”, line 321, in backup
    odb = scheduled_backup(ignore_files=not with_files, backup_path_db=backup_path_db, backup_path_files=backup_path_files, backup_path_private_files=backup_path_private_files, force=True)
    File “/home/erp/frappe-bench/apps/frappe/frappe/utils/backups.py”, line 165, in scheduled_backup
    odb = new_backup(older_than, ignore_files, backup_path_db=backup_path_db, backup_path_files=backup_path_files, force=force)
    File “/home/erp/frappe-bench/apps/frappe/frappe/utils/backups.py”, line 175, in new_backup
    odb.get_backup(older_than, ignore_files, force=force)
    File “/home/erp/frappe-bench/apps/frappe/frappe/utils/backups.py”, line 48, in get_backup
    self.set_backup_file_name()
    File “/home/erp/frappe-bench/apps/frappe/frappe/utils/backups.py”, line 61, in set_backup_file_name
    todays_date = now_datetime().strftime(’%Y%m%d
    %H%M%S’)
    File “/home/erp/frappe-bench/apps/frappe/frappe/utils/data.py”, line 127, in now_datetime
    dt = convert_utc_to_user_timezone(datetime.datetime.utcnow())
    File “/home/erp/frappe-bench/apps/frappe/frappe/utils/data.py”, line 150, in convert_utc_to_user_timezone
    return utcnow.astimezone(timezone(get_time_zone()))
    File “/home/erp/frappe-bench/apps/frappe/frappe/utils/data.py”, line 144, in get_time_zone
    return frappe.cache().get_value(“time_zone”, _get_time_zone)
    File “/home/erp/frappe-bench/apps/frappe/frappe/utils/redis_wrapper.py”, line 79, in get_value
    val = generator()
    File “/home/erp/frappe-bench/apps/frappe/frappe/utils/data.py”, line 138, in _get_time_zone
    return frappe.db.get_system_setting(‘time_zone’) or ‘Asia/Kolkata’ # Default to India ?!
    File “/home/erp/frappe-bench/apps/frappe/frappe/database/database.py”, line 895, in get_system_setting
    return frappe.cache().get_value(“system_settings”, _load_system_settings).get(key)
    File “/home/erp/frappe-bench/apps/frappe/frappe/utils/redis_wrapper.py”, line 79, in get_value
    val = generator()
    File “/home/erp/frappe-bench/apps/frappe/frappe/database/database.py”, line 894, in _load_system_settings
    return self.get_singles_dict(“System Settings”)
    File “/home/erp/frappe-bench/apps/frappe/frappe/database/database.py”, line 519, in get_singles_dict
    “”", doctype)
    File “/home/erp/frappe-bench/apps/frappe/frappe/database/database.py”, line 122, in sql
    self.connect()
    File “/home/erp/frappe-bench/apps/frappe/frappe/database/database.py”, line 75, in connect
    self._conn = self.get_connection()
    File “/home/erp/frappe-bench/apps/frappe/frappe/database/mariadb/database.py”, line 90, in get_connection
    local_infile = frappe.conf.local_infile)
    File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/pymysql/init.py”, line 94, in Connect
    return Connection(*args, **kwargs)
    File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/pymysql/connections.py”, line 325, in init
    self.connect()
    File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/pymysql/connections.py”, line 599, in connect
    self._request_authentication()
    File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/pymysql/connections.py”, line 861, in _request_authentication
    auth_packet = self._read_packet()
    File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/pymysql/connections.py”, line 684, in _read_packet
    packet.check_error()
    File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/pymysql/protocol.py”, line 220, in check_error
    err.raise_mysql_exception(self._data)
    File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/pymysql/err.py”, line 109, in raise_mysql_exception
    raise errorclass(errno, errval)
    pymysql.err.OperationalError: (1045, “Access denied for user ‘_d5f8efb77abf262b’@‘localhost’ (using password: YES)”)

Cleaned up an old website that I was not using; my bench update now:

Backing up sites…
INFO:bench.app:pulling frappe
$ git pull upstream version-12
From https://github.com/frappe/frappe

  • branch version-12 -> FETCH_HEAD
    Already up-to-date.
    $ find . -name “*.pyc” -delete
    INFO:bench.app:pulling erpnext
    $ git pull upstream version-12
    From https://github.com/frappe/erpnext
  • branch version-12 -> FETCH_HEAD
    Already up-to-date.
    $ find . -name “*.pyc” -delete
    INFO:bench.app:pulling bench_manager
    $ git pull upstream develop
    From https://github.com/frappe/bench_manager
  • branch develop -> FETCH_HEAD
    Already up-to-date.
    $ find . -name “*.pyc” -delete
    Updating Python libraries…
    $ /home/erp/frappe-bench/env/bin/pip install -q -U pip
    INFO:bench.app:installing frappe
    $ /home/erp/frappe-bench/env/bin/pip install -q -U -e /home/erp/frappe-bench/apps/frappe
    INFO:bench.app:installing erpnext
    $ /home/erp/frappe-bench/env/bin/pip install -q -U -e /home/erp/frappe-bench/apps/erpnext
    INFO:bench.app:installing bench_manager
    $ /home/erp/frappe-bench/env/bin/pip install -q -U -e /home/erp/frappe-bench/apps/bench_manager
    Updating node packages…
    $ yarn install
    yarn install v1.22.4
    [1/4] Resolving packages…
    success Already up-to-date.
    Done in 0.74s.
    $ yarn install
    yarn install v1.22.4
    [1/4] Resolving packages…
    success Already up-to-date.
    Done in 0.12s.
    Patching sites…
    Migrating beanboxweb.local
    Updating DocTypes for frappe : [========================================]
    Updating DocTypes for erpnext : [========================================]
    Updating customizations for Address
    Traceback (most recent call last):
    File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py”, line 484, in connect
    sock = self._connect()
    File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py”, line 541, in _connect
    raise err
    File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py”, line 529, in _connect
    sock.connect(socket_address)
    ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/redis/client.py”, line 667, in execute_command
connection.send_command(*args)
File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py”, line 610, in send_command
self.send_packed_command(self.pack_command(*args))
File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py”, line 585, in send_packed_command
self.connect()
File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py”, line 489, in connect
raise ConnectionError(self._error_message(e))
redis.exceptions.ConnectionError: Error 111 connecting to localhost:13000. Connection refused.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py”, line 484, in connect
sock = self._connect()
File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py”, line 541, in _connect
raise err
File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py”, line 529, in _connect
sock.connect(socket_address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib64/python3.6/runpy.py”, line 193, in _run_module_as_main
main”, mod_spec)
File “/usr/lib64/python3.6/runpy.py”, line 85, in _run_code
exec(code, run_globals)
File “/home/erp/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 97, in
main()
File “/home/erp/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 18, in main
click.Group(commands=commands)(prog_name=‘bench’)
File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 764, in call
return self.main(*args, **kwargs)
File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 717, in main
rv = self.invoke(ctx)
File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 956, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 555, in invoke
return callback(*args, **kwargs)
File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/click/decorators.py”, line 17, in new_func
return f(get_current_context(), *args, **kwargs)
File “/home/erp/frappe-bench/apps/frappe/frappe/commands/init.py”, line 25, in _func
ret = f(frappe._dict(ctx.obj), *args, **kwargs)
File “/home/erp/frappe-bench/apps/frappe/frappe/commands/site.py”, line 239, in migrate
migrate(context.verbose, rebuild_website=rebuild_website, skip_failing=skip_failing)
File “/home/erp/frappe-bench/apps/frappe/frappe/migrate.py”, line 62, in migrate
global_search.update_global_search_for_all_web_pages()
File “/home/erp/frappe-bench/apps/frappe/frappe/utils/global_search.py”, line 280, in update_global_search_for_all_web_pages
sync_global_search()
File “/home/erp/frappe-bench/apps/frappe/frappe/utils/global_search.py”, line 361, in sync_global_search
while frappe.cache().llen(‘global_search_queue’) > 0:
File “/home/erp/frappe-bench/apps/frappe/frappe/utils/redis_wrapper.py”, line 141, in llen
return super(RedisWrapper, self).llen(self.make_key(key))
File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/redis/client.py”, line 1325, in llen
return self.execute_command(‘LLEN’, name)
File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/redis/client.py”, line 673, in execute_command
connection.send_command(*args)
File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py”, line 610, in send_command
self.send_packed_command(self.pack_command(*args))
File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py”, line 585, in send_packed_command
self.connect()
File “/home/erp/frappe-bench/env/lib/python3.6/site-packages/redis/connection.py”, line 489, in connect
raise ConnectionError(self._error_message(e))
redis.exceptions.ConnectionError: Error 111 connecting to localhost:13000. Connection refused.

You need to have the bench started while running the update

Yes - just found it

Thanks…@akurungadam
Everything worked correctly

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.